package com.avaya.mgmt.smgr.webservice.jaxb.impl;

import com.avaya.mgmt.smgr.webservice.jaxb.ProcessType;
import com.avaya.mgmt.smgr.webservice.jaxb.util.PROCESS_TYPE;

/**
 *
 * @author
 *
 */
public class UserMgmtTypeFactory
{

	/**
	 *
	 * @param type
	 * @return
	 */
	public ProcessType getProcessType(PROCESS_TYPE processType)
	{
		switch (processType)
		{
		case CREATE:
			return new CreateProcess();
		case UPDATE:
			return new UpdateProcess();
		case LOOKUP:
			return new LookupProcess();
		case FIND:
			return new FindProcess();
		case DELETE:
			return new DeleteProcess();
		case SIP:
			return new SIPPasswordChangeProcess();
		case EXT:
			return new CMPasswordChangeProcess();
		case AGENT:
			return new AgentPasswordChangeProcess();
		case MSG:
			return new MSGPasswordChangeProcess();
		case RESET:
			return new ResetPasswordProcess();
		case ACTIVATE:
			return new ActivatePasswordProcess();
		case BULKPASSCHANGE:
			return new BulkPasswordChangeProcess();
		default:
			return null;
		}
	}
}
